<template>
  <div>
    <form class="form md-layout md-alignment-center-center">
    <md-card class="md-layout-item md-size-50">
      <!-- HEADER -->
      <md-card-header>
        <div class="md-title">Agregar un producto</div>
      </md-card-header>
      <!-- CONTENT -->
      <md-card-content>
        <div class="md-layout md-gutter md-alignment-center-center">
          <div class="md-layout-item md-size-100">
            <md-field>
              <label>Nombre</label>
              <md-input v-model="newProductName"></md-input>
            </md-field>
          </div>

          <div class="md-layout-item md-size-100">
            <md-field>
              <label>Descripción</label>
              <md-input v-model="newProductDescription"></md-input>
            </md-field>
          </div>

          <div class="md-layout-item md-size-100">
            <md-field>
              <label>Precio</label>
              <md-input type="number" v-model="newProductPrice"></md-input>
            </md-field>
          </div>

          <md-card-actions>
            <md-button v-on:click="addProduct" class="md-primary"
              >Agregar</md-button
            >
          </md-card-actions>
        </div>
      </md-card-content>
    </md-card>
  </form>
  </div>
</template>

<script>
export default {
  name: "Form",
  data() {
    return {
      newProductName: "",
      newProductDescription: "",
      newProductPrice: null,
      products: [],
    };
  },
  methods: {
    addProduct() {
      var product = {
        name: this.newProductName,
        desc: this.newProductDescription,
        price: Number(this.newProductPrice),
      };
      this.$emit("product-data", product);
    },
  },
};
</script>

<style>
.form {
  margin-top: 50px;
}
</style>
